<?php
/**
* Customizer Defaults
*
* The following filter is used to setup the customizer defaults which are setup by your child theme
*
*/
function layers_coffee_customizer_defaults( $defaults ){

	$defaults = array(
		'body-fonts' => 'Lato',
		'header-sticky' => '1',
		'header-background-color' => '',
		'footer-sidebar-count' => '0',
		'footer-background-color' => '#333333',
		'form-fonts' => 'Lato',
	);

	return $defaults;
}
add_filter( 'layers_customizer_control_defaults', 'layers_coffee_customizer_defaults' );

/**
* Preset Layouts
*
* The following filter adds your Layers pages to the preset layouts under Layers > Add Page
*
*/
function layers_coffee_presets( $layers_preset_layouts ){
	$sunset_coffee_presets[ 'sunset_coffee-home' ] = array(
		'title' => __( 'Sunset Coffee - Home', 'layers-sunset-coffee' ),
		'screenshot' => get_stylesheet_directory_uri().'/assets/preset-images/preset-home.jpg',
		'screenshot_type' => 'png',
		'json' =>  '{"obox-layers-builder-4":{"layers-widget-slide-1":{"show_slider_arrows":"on","show_slider_dots":"on","slide_time":"","slide_height":"550","design":{"advanced":{"customclass":"","customcss":""}},"slide_ids":"249","slides":{"249":{"design":{"background":{"image":"http:\/\/sites.layerswp.com\/coffee\/wp-content\/uploads\/sites\/4\/2015\/02\/slide-sunset.jpg","color":"#000","repeat":"repeat","position":"center","stretch":"on"},"featuredimage":"","featuredvideo":"","imagealign":"image-top","fonts":{"align":"text-center","size":"large","color":"#fff"}},"title":"","excerpt":"","link":"","link_text":""}}},"layers-widget-column-1":{"design":{"layout":"layout-boxed","gutter":"on","fonts":{"align":"text-left","size":"medium","color":""},"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"advanced":{"customclass":"side-by-side-list","customcss":""}},"title":"","excerpt":"","column_ids":"355,246,622","columns":{"355":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/coffee\/wp-content\/uploads\/sites\/4\/2015\/02\/visit-stores.jpg","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-left","fonts":{"align":"text-left","size":"large","color":""}},"width":"12","title":"Visit Our Cafes","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero.","link_text":"Find your Cafe","link":"\/coffee\/visit\/"},"246":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/coffee\/wp-content\/uploads\/sites\/4\/2015\/02\/make-coffee.jpg","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-right","fonts":{"align":"text-left","size":"large","color":""}},"width":"12","title":"Learn to Brew","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero.","link_text":"Show Me How","link":"\/coffee\/brew\/"},"622":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/coffee\/wp-content\/uploads\/sites\/4\/2015\/02\/buy-coffee.jpg","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-left","fonts":{"align":"text-left","size":"large","color":""}},"width":"12","title":"Buy the Bean","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero.","link_text":"Shop Now","link":"\/coffee\/shop"}}}}}'
	);
	$sunset_coffee_presets[ 'sunset_coffee-brew' ] = array(
		'title' => __( 'Sunset Coffee - Brew', 'layers-sunset-coffee' ),
		'screenshot' => get_stylesheet_directory_uri().'/assets/preset-images/preset-brew.jpg',
		'screenshot_type' => 'png',
		'json' =>  '{"obox-layers-builder-22":{"layers-widget-slide-5":{"show_slider_arrows":"on","show_slider_dots":"on","slide_time":"","slide_height":"350","design":{"advanced":{"customclass":"","customcss":""}},"slide_ids":"249","slides":{"249":{"design":{"background":{"image":"http:\/\/sites.layerswp.com\/coffee\/wp-content\/uploads\/sites\/4\/2015\/02\/slide-brew-banner.jpg","color":"#000","repeat":"no-repeat","position":"center","stretch":"on","darken":"on"},"featuredimage":"","featuredvideo":"","imagealign":"image-top","fonts":{"align":"text-center","size":"large","color":"#fff"}},"title":"Learn to Brew","excerpt":"","link":"","link_text":""}}},"layers-widget-column-5":{"design":{"layout":"layout-boxed","gutter":"on","fonts":{"align":"text-center","size":"medium","color":""},"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"advanced":{"customclass":"","customcss":"","padding":{"top":"","right":"","bottom":"0","left":""},"margin":{"top":"","right":"","bottom":"","left":""}}},"title":"This is how it\'s done","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero, eu dignissim enim.","column_ids":"355","columns":{"355":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/coffee\/wp-content\/uploads\/sites\/4\/2015\/02\/demo-image.png","featuredvideo":"https:\/\/vimeo.com\/8709313","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-left","size":"medium","color":""}},"width":"12","title":"","excerpt":"","link_text":"","link":""}}},"layers-widget-column-6":{"design":{"layout":"layout-boxed","gutter":"on","fonts":{"align":"text-left","size":"medium","color":""},"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"advanced":{"customclass":"","customcss":"","padding":{"top":"20","right":"","bottom":"","left":""},"margin":{"top":"","right":"","bottom":"","left":""}}},"title":"","excerpt":"","column_ids":"355,246,622","columns":{"355":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-left","size":"medium","color":""}},"width":"4","title":"First do this","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa.","link_text":"","link":""},"246":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-left","size":"medium","color":""}},"width":"4","title":"Now, do this","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa.","link_text":"","link":""},"622":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-top","fonts":{"align":"text-left","size":"medium","color":""}},"width":"4","title":"Finally, do this","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa.","link_text":"","link":""}}}}}'
	);
	$sunset_coffee_presets[ 'sunset_coffee-visit' ] = array(
		'title' => __( 'Sunset Coffee - Visit', 'layers-sunset-coffee' ),
		'screenshot' => get_stylesheet_directory_uri().'/assets/preset-images/preset-visit.jpg',
		'screenshot_type' => 'png',
		'json' =>  '{"obox-layers-builder-14":{"layers-widget-slide-3":{"show_slider_arrows":"on","show_slider_dots":"on","slide_time":"","slide_height":"550","design":{"advanced":{"customclass":"","customcss":""}},"slide_ids":"11","slides":{"11":{"design":{"background":{"image":"http:\/\/sites.layerswp.com\/coffee\/wp-content\/uploads\/sites\/4\/2015\/02\/slide-visit-banner.jpg","color":"#000","repeat":"no-repeat","position":"center","stretch":"on"},"featuredimage":"","featuredvideo":"","imagealign":"image-top","fonts":{"align":"text-center","size":"large","color":"#fff"}},"title":"","excerpt":"","link":"","link_text":""}}},"layers-widget-column-3":{"design":{"layout":"layout-boxed","gutter":"on","fonts":{"align":"text-left","size":"medium","color":""},"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"advanced":{"customclass":"side-by-side-list","customcss":""}},"title":"","excerpt":"","column_ids":"355,942,667,878","columns":{"355":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/coffee\/wp-content\/uploads\/sites\/4\/2015\/02\/cape-town.jpg","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-right","fonts":{"align":"text-left","size":"large","color":""}},"width":"12","title":"Sunset on Bree","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero.","link_text":"","link":""},"942":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/coffee\/wp-content\/uploads\/sites\/4\/2015\/02\/green-point.jpg","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-left","fonts":{"align":"text-left","size":"large","color":""}},"width":"12","title":"Sunset at Point","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero.","link_text":"","link":""},"667":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/coffee\/wp-content\/uploads\/sites\/4\/2015\/02\/hout-bay.jpg","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-right","fonts":{"align":"text-left","size":"large","color":""}},"width":"12","title":"Sunset in the Bay","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero.","link_text":"","link":""},"878":{"design":{"background":{"image":"","color":"","repeat":"no-repeat","position":"center"},"featuredimage":"http:\/\/sites.layerswp.com\/coffee\/wp-content\/uploads\/sites\/4\/2015\/02\/bantry-bay.jpg","featuredvideo":"","imageratios":"image-landscape","imagealign":"image-left","fonts":{"align":"text-left","size":"large","color":""}},"width":"12","title":"Sunset Bantry","excerpt":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vitae massa velit, eu laoreet massa. Sed ac orci libero.","link_text":"","link":""}}},"layers-widget-slide-4":{"slide_time":"","slide_height":"350","design":{"advanced":{"customclass":"","customcss":""}},"slide_ids":"11","slides":{"11":{"design":{"background":{"image":"","color":"#e2e2e2","repeat":"repeat","position":"center"},"featuredimage":"","featuredvideo":"","imagealign":"image-top","fonts":{"align":"text-center","size":"medium","color":"#000000"}},"title":"We want to do a lot of stuff; we\u2019re not in great shape. We didn\u2019t get a good night\u2019s sleep. We\u2019re a little depressed. Coffee solves all these problems in one delightful little cup.","excerpt":"Mrs WordPress","link":"","link_text":""}}}}}'
	);

	return array_merge( $sunset_coffee_presets,  $layers_preset_layouts );
}

add_filter( 'layers_preset_layouts', 'layers_coffee_presets', 0 );